<?
	
	/**
	 *	Title: Classe Database, prepara l'accés global a la base de dades des d'un únic punt.
	 *
	 *	Project: iBoletus
	 *	Author: Victor Llorente Vaquero
	 *	Date: 18/11/2013
	 *	Email: vllorente@uoc.edu
	 **/
		
	class Database {
		private $db = null;
	
		public function __construct() {
			try	{
				$this->db = new PDO("mysql:host=".DB_HOST.";dbname=".DB_NAME.";charset=utf8", DB_USER, DB_PASSWORD);
				$this->db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
				$this->db->exec("set names utf8");
			} catch (PDOException $e) {
				$this->getError($e);
			}
		}
	
		public function getDB(){
			return $this->db;
		}
		
		public function getError($e) {
			$err = new Error();
			$err->showError(ERROR_DB, $e->getMessage());
		}
	}
	
?>
