<?
	/**
	*	Title: Informació
	*
	*	Project: iBoletus
	*	Author: Victor Llorente Vaquero
	*	Date: 25/11/2013
	*	Email: vllorente@uoc.edu
	**/
	
	session_start();
	
	// Incloem les funcions
	require_once(dirname(__FILE__) . "/../../config.php");
	require_once(DIRLIB."/".APP.".php");
	
	$db = new Database();
	$c = new Content();
	$r = new Redirector();
	$sm = new Security();
	
	// Comprovar la sessió, no cal reautenticar
	if ($sm->isLogged()) { $r->mainRedirect(); }
	
	// Premer el botó per verificar i accedir a l'aplicatiu
	if ($_POST['action']) {
		switch($_POST['selected_action']) {
			case _("Sortir"):
				$r->redirect('login', 'login.php');
				break;
		}
	}
	
	$content = _("El iBoletus vol ser una eina destinada a tots els aficionats a la micologia. Els boletaires, durant i després de fer una collita de bolets, sempre els hi poden sorgir possibles dubtes sobre alguns dels bolets arreplegats al cistell i, en ocasions volen poder tenir la certesa de quins són comestibles, tòxics o mortals, per tal que un dia de bolets sigui del tot gratificant. Però al mateix temps vol ser una eina educativa i constructiva, fomentant els bons hàbits a la muntanya.");

	// Inici creació de la pàgina
	$c->getHeader(_(APP_NAME));

?>
	
	<div class="login_header"><p class="login_header_text"><?=_(APP_NAME)?></p></div>
	<form name="form_user" accept-charset="UTF-8" method="post">
		<div class="clear">
			<? $c->getDivConfirm("", sprintf("El <b>%s</b> vol ser una eina destinada a tots els aficionats a la micologia. Els boletaires, durant i després de fer una collita de bolets, sempre els hi poden sorgir possibles dubtes sobre alguns dels bolets arreplegats al cistell i, en ocasions volen poder tenir la certesa de quins són comestibles, tòxics o mortals, per tal que un dia de bolets sigui del tot gratificant. Però al mateix temps vol ser una eina educativa i constructiva, fomentant els bons hàbits a la muntanya.", APP_NAME), "", "Sortir", CONFIRM); ?>
		</div>
		<input type="hidden" name="action" value="1"/>
		<div class="clear"></div>
	</form>

<? 	$c->getFooter(); ?>
