<?
	/**
	 *	Title: Classe Positions, model per a un grup de posicions.
	 *
	 *	Project: iBoletus
	 *	Author: Víctor Llorente Vaquero
	 *	Date: 02/12/2013
	 *	Email: vllorente@uco.edu
	 **/

	class Positions {
	
		private $positions = array();		
		private $db = null;
		private $dbConn = null;
		
		public function __construct() {
			$this->db = new Database();
			$this->dbConn = $this->db->getDB();
		}
				
		public function getTotalPositionsFromDB($usr_id) {
			try {
				$stmt = $this->dbConn->query("select count(*) from positions where pos_usr_id = ".$usr_id."");
				$row = $stmt->fetch();
			} catch (PDOException $e) { $this->db->getError($e); }

			return $row[0];		
		}
		
		public function getPositionsFromDB($usr_id) {
			$stmt = $this->dbConn->prepare("select pos_id from positions where pos_usr_id = :usr_id order by pos_bol_name");
			$stmt->execute(array('usr_id' => $usr_id));
			foreach ($stmt->fetchAll() as $position) {
				$pos = new Position($this->db);
				$pos->initWithId($position['pos_id']);
				$this->positions[] = $pos;
			}
		}
		
		public function getPositions() { return $this->positions; }
	}
	
?>