<?

	class Redirector {

		public function mainRedirect() { header('Location:'.WWWROOT.'/modules/login/main.php'); exit; }
		public function selfRedirect() { header('Location:'.WWWROOT.$_SERVER['REQUEST_URI']); exit; }
		public function loginRedirect() { header('Location:'.WWWROOT.'/modules/login/login.php'); exit; }
	
		public function redirect($module, $page, array $params = array()) {
			if (is_array($params) && !empty($params)) { 
				foreach ($params as $paramName => $paramValue) $pars .= $paramName.'='.$paramValue.'&';
			}
			
			if (isset($pars)) $pars = '?'.$pars;
			$pars = substr($pars, 0, -1);
			
			header('Location:'.WWWROOT.'/modules/'.$module.'/'.$page.$pars);
			exit;
		}
		
		public function setReturnTo($module, $url, $page, $orderby, $sort) {
			$_SESSION['return_to'] = array ('url' => $url, 'module' => $module, 'page' => $page, 'orderby' => $orderby, 'sort' => $sort);
		}
		
		// Funció que retorna a la pàgina anterior, amb el mateix sort, pagination, ...
		public function returnTo() {
			if (isset($_SESSION['return_to'])) {
				$url = $_SESSION['return_to']['url'];
				$module = $_SESSION['return_to']['module'];
				$page = $_SESSION['return_to']['page'];
				$orderby = $_SESSION['return_to']['orderby'];
				$sort = $_SESSION['return_to']['sort'];
	
				$params = "";
				if ($page) $params .= "page=".$page;
				if ($orderby != "") $params .= "&orderby=".$orderby;
				if ($sort != "") $params .= "&sort=".$sort;
	
				if ($params != "") $location = "Location:".WWWROOT."/modules/".$module."/".$url."?".$params; else $location = "Location:".WWWROOT."/modules/".$module."/".$url;
			} else {
				$location = "Location:".WWWROOT."/modules/login/main.php";
			}
			
			header($location);
			exit;
		}		
	}

?>