<?
	/**
	* Title : Definició del servei d'enviament de correu electrònic
	*
	* Content :
	* Funció per enviar correus electrònics
	*
	* Project : Aikotoba
	* Author : Victor Llorente Vaquero
	* Date : 28/02/2012
	* Email : vllorente@uoc.edu
	**/
	
	require_once(dirname(__FILE__).'/../config.php');
	require_once("class.phpmailer.php");

	// Funció per enviar un correu electrònic
	function send_mail($to, $to_name, $subject, $body, $body_no_html) {

		$recipients = explode(",", $to);
		$mail = new phpmailer();

		$mail->From     = MAIL_FROM;
		$mail->FromName = MAIL_FROM_NAME;
		$mail->Host     = MAIL_HOST;// IP Server
		$mail->Mailer   = "smtp";
		$mail->SMTPAuth = false; // turn on SMTP authentication
		$mail->Username = MAIL_USERNAME; // SMTP username
		$mail->Password = MAIL_PASSWORD; // SMTP password

		$mail->Subject = $subject;
		$mail->Body    = $body;
		$mail->AltBody = $body_no_html;
		if (count($recipients) != 1) { 
			foreach ($recipients as $rec) { 
				$mail->AddAddress($rec, $rec);
			}
		} else { 
			$mail->AddAddress($to, $to_name);
		}
		$mail->CharSet = "UTF-8";
		
		$result = @$mail->Send();
		return $result;
	}
?>
