<?
	/**
	*	Title: Menú principal de l'aplicació
	*
	*	Project: iBoletus
	*	Author: Victor Llorente Vaquero
	*	Date: 18/11/2013
	*	Email: vllorente@uoc.edu
	**/
	
	session_start();
	
	require_once(dirname(__FILE__) . "/../../config.php");
	require_once(DIRLIB."/".APP.".php");

	unset($_SESSION['return_to']);
	
	$log = new Logger();
	$sm = new Security();
	$c = new Content();
	$r = new Redirector();
	$detect = new MobileDetect();
	
	// Comprovar la sessió
	if (!$sm->isLogged()) { $log->logAction('session_error'); $r->loginRedirect(); }
		
	// Inici creació de la pàgina
	$c->getHeader(_(APP_NAME));
	$c->getMainHeader(_("Menú principal"));
	
?>

	<? if (!$detect->isMobile() && !$detect->isTablet()) { ?>
		<div class="actions">
			<? $c->getNavigation($_SERVER['PHP_SELF']); ?>
			<div class="clear"></div>
		</div>
	<? } ?>

<? 	$c->getFooter(); ?>
