<?
	/**
	*	Title : Confirma l'enregistrament d'un usuari
	*
	*	Project: iBoletus
	*	Author: Victor Llorente Vaquero
	*	Date: 19/11/2013
	*	Email: vllorente@uoc.edu
	**/
	
	session_start();
	
	// Incloem les funcions
	require_once(dirname(__FILE__) . "/../../config.php");
	require_once(DIRLIB."/".APP.".php");
	
	$db = new Database();
	
	$r = new Redirector();
	$c = new Content();
	$sm = new Security();
	
	$sm->isIdValid($_GET['id'], 'users', 'usr_id') ? $usr_id = $_GET['id'] : $r->returnTo();
	
	$user = new User($db);
	$user->initWithId($usr_id);
	
	// Accions amb botons
	if ($_POST['action']) { 
		switch($_POST['selected_action']) {
			// Redirigir a la pàgina 'login.php' del mòdul 'login' per a iniciar sessió
			case _("Iniciar sessió"):
				$r->redirect('login', 'login.php');
				break;
		}
	}
	
	// Inici creació de la pàgina
	$c->getHeader(_(APP_NAME));
	$c->getMainHeader(_("Confirmació"));
	
	$c->getDivConfirm("", sprintf("Benvingut/uda <b>%s</b>, les seves dades s'han enregistrat satisfactòriament al sistema <b>%s</b>.", ht($user->getUserFullName()), ht(APP_NAME)), "Iniciar sessió", "", CONFIRM);
	
	$c->getFooter();
	
?>
