<?
	/**
	*	Title:		Funcions javascript
	*
	*	Project: iBoletus
	*	Author: Victor Llorente Vaquero
	*	Date: 07/12/2013
	*	Email: vllorente@uoc.edu
	**/
?>

<script>

	// Funció per ocultar un tag html input
	function hide(id){
		var div_hide = document.getElementById(id);
		div_hide.style.display = 'none';
	}
	
	// Funció per mostrar un tag html input
	function show(id){
		var div_show = document.getElementById(id);
		div_show.style.display = 'block';
	}
	
	// Modificar la cookie
	function setCookie(name, value, expires, path, domain, secure) {
		document.cookie = name + "=" + escape(value) +
		((expires) ? "; expires=" + expires.toGMTString() : "") +
		((path) ? "; path=" + path : "") +
		((domain) ? "; domain=" + domain : "") +
		((secure) ? "; secure" : "");
	}
	
	// Obtenir la cookie
	function getCookie(name) {
		var dc = document.cookie;
		var prefix = name + "=";
		var begin = dc.indexOf("; " + prefix);
		if (begin == -1) {
			begin = dc.indexOf(prefix);
			if (begin != 0) return null;
		} else {
			begin += 2;
		}
		var end = document.cookie.indexOf(";", begin);
		if (end == -1) {
			end = dc.length;
		}
		return unescape(dc.substring(begin + prefix.length, end));
	}
	
	// Eliminar la cookie
	function deleteCookie(name, path, domain) {
		if (getCookie(name)) {
			document.cookie = name + "=" +
			((path) ? "; path=" + path : "") +
			((domain) ? "; domain=" + domain : "") + "; expires=Thu, 01-Jan-70 00:00:01 GMT";
		}
	}
	
</script>
