-- phpMyAdmin SQL Dump
-- version 3.4.11.1deb2
-- http://www.phpmyadmin.net
--
-- Servidor: localhost
-- Tiempo de generación: 09-12-2013 a las 09:50:47
-- Versión del servidor: 5.5.31
-- Versión de PHP: 5.4.4-14+deb7u5

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de datos: `iboletus`
--

CREATE DATABASE `iboletus` DEFAULT CHARSET=utf8 collate=utf8_general_ci;

-- --------------------------------------------------------

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `action_log`
--

CREATE TABLE IF NOT EXISTS `action_log` (
  `act_id` int(11) NOT NULL,
  `act_action` varchar(50) NOT NULL,
  `act_description` varchar(250) NOT NULL,
  PRIMARY KEY (`act_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `action_log`
--

INSERT INTO `action_log` (`act_id`, `act_action`, `act_description`) VALUES
(1, 'login_error', 'Error d''inici de sessió.'),
(2, 'session_error', 'Error de sessió.'),
(3, 'permission_error', 'Error de permís.'),
(4, 'query_error', 'Error de sentència SQL.'),
(5, 'ldap_error', 'Error de sentència LDAP.'),
(6, 'login', 'Accés a la Gestió Acadèmica.'),
(7, 'logout', 'Finalitzar sessió.'),
(8, 'add_photo', 'S''ha afegit una foto.'),
(9, 'edit_photo', 'S''ha editat una foto.'),
(10, 'delete_photo', 'S''ha eliminat una foto.'),
(11, 'rename_photo', 'S''ha renombrat una foto.'),
(12, 'add_user', 'S''ha creat un usuari.'),
(13, 'edit_user', 'S''ha editat un usuari.'),
(14, 'delete_user', 'S''ha eliminat un usuari.'),
(15, 'add_boletu', 'S''ha creat un bolet.'),
(16, 'edit_boletu', 'S''ha editat un bolet.'),
(17, 'delete_boletu', 'S''ha eliminat un bolet.'),
(18, 'add_position', 'S''ha creat una localització.'),
(19, 'edit_position', 'S''ha editat una localització.'),
(20, 'delete_position', 'S''ha eliminat una localització.'),
(21, 'add_recipe', 'S''ha creat una recepta.'),
(22, 'edit_recipe', 'S''ha editat una recepta.'),
(23, 'delete_recipe', 'S''ha eliminat una recepta.');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `boletus`
--

CREATE TABLE IF NOT EXISTS `boletus` (
  `bol_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `bol_usr_id` int(11) NOT NULL,
  `bol_name` varchar(100) NOT NULL,
  `bol_name_latin` varchar(100) DEFAULT NULL,
  `bol_toxic` tinyint(1) NOT NULL DEFAULT '0',
  `bol_description` varchar(4096) NOT NULL,
  `bol_habitat` varchar(4096) DEFAULT NULL,
  `bol_observation` varchar(4096) DEFAULT NULL,
  PRIMARY KEY (`bol_id`),
  KEY `bol_name` (`bol_name`),
  KEY `bol_name_latin` (`bol_name_latin`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `boletus`
--

INSERT INTO `boletus` (`bol_id`, `bol_usr_id`, `bol_name`, `bol_name_latin`, `bol_toxic`, `bol_description`, `bol_habitat`, `bol_observation`) VALUES
(1, 1, 'Alzinoi', 'Armillariella mellea', 1, 'Barret força carnós, primer hemisfèric o cònic i després convex-aplanat, amb marge estriat. El color és molt variable i depèn del tipus de bosc on es faci. Va del groc mel fins el marró-rogenc, passant per l''olivaci. Està recobert de granets marrons.', 'Paràsit de moltes espècies forestals.', 'És comestible, tot i que en exemplars adults només és aprofitable el barret.'),
(2, 1, 'Anisat', 'Clitocybe odora', 1, 'El barret és en primer lloc hemisfèric, després convex-aplanat i finalment deprimit, de color verdós o verd blavós i també blanquinós en els més vells. El marge és ondulat i les làmines juntes i de color blanquinós o com el barret.', 'Boscos de latifol·lis i coníferes, a l''estiu i la tardor.', 'És comestible i força comú'),
(3, 1, 'Apagallums', 'Macrolepiota procera', 1, 'És el més gran i espectacular bolet de làmines. Pot assolir 40 cm d''alçària i 30-35 cm de diàmetre de barret. De jove, el barret és esfèric. En créixer, s''obre i s''aplana, es recobreix d''un to bru fosc, s''esquinça formant esquames.', 'Creix en llocs oberts, als marges dels boscos, als prats (en especial sobre terreny silici) a tot arreu, és molt comú. Finals d''estiu i tardor.', 'És un bolet molt vistós i fàcil de reconèixer. És comestible força bo, però només el barret, ja que el peu és massa dur i astellós.'),
(4, 1, 'Bolet de pi', 'Hypholoma fasciculare', 0, 'Barret primer hemisfèric i després convex-aplanat, amb un mamelló obtús al centre. De groc-ocre fins a groc-sofre. Les làmines, juntes, estretes de groc fins a verd. El peu està buit de color groc i generalment escamós. La carn és groga olor desagradable.', 'Sol créixer sobre els troncs. De la primavera fins la tardor.', 'És força comú i és tòxic.'),
(5, 1, 'Bolet de Tinta', 'Coprinus comatus', 1, 'El barret és primer paraboloide, després campanulat i finalment extès; és de color blanc amb escames més fosques que es desprenen amb facilitat. El fong adult és negrós. Les làmines són lliures, el seu color varia des de blanc fins a rosa.', 'Surt a la primavera i a la tardor en llocs adobats, vores de camins i camps.', 'És un bolet comestible quan és jove, abans que no s''ennegreixi, i força buscat.'),
(6, 1, 'Cama o Bec de Perdiu', 'Chroogomphus rutilus', 1, 'El barret és primer cònic i després, un cop obert, convex, de color marró vermellós o com el vi. És carnós, llis i viscós de jove. Les làmines són espaiades, quasi del mateix color que el barret, més fosques com més vell és el bolet.', 'Als boscos de coníferes des de finals d''estiu i durant tota la tardor. És un bolet molt comú.', 'És comestible.'),
(7, 1, 'Camagroc', 'Cantharellus lutescens', 1, 'El barret és en un principi convex-umbilicat i després imbutiforme, de color marronós. El marge és lobulat. És una mica viscós. La cara inferior és primer llisa i després venada, sense làmines definides, de color blanc-groguenc, groc més intens.', 'Boscos humits de coníferes, a finals d''estiu i la tardor.', 'És comestible. Es pot conservar en oli.'),
(8, 1, 'Cama-sec', 'Marasmius oreades', 1, 'El cama-sec és un bolet petit que creix en prats. Despren una olor agradable i té una qualitat apreciable. Podem dir que dintre dels bolets més buscats és dels millors.', '', ''),
(9, 1, 'Carlet, Escarlet', 'Hygrophorus russula', 1, 'Anomenat també escarlet o carlet, és el bolet més buscat a la comarca, la pràctica totalitat dels tractats de micología el posen com a comestible mediocre, no obstant els garrotxins no tenen mal gust.', 'Creix en aulinars i rouredes, molt extensos a la Garrotxa, i es fà en grans quantitats. El seu mes preferit, el novembre.', 'No massa importància culinària.'),
(10, 1, 'Cep', 'Boletus edulis', 1, 'Barret primer hemisfèric i després convex-aplanatm de color marró-castany de tonalitat força variable. La superfície és viscosa i presenta rugositats. El peu és quasi ovoide i acilindrat en els exemplars adults. Color gris-avellana.', 'Boscos caducifol.lis, tot i que també als de coníferes, a llocs amb herva. Finals d''estiu i tardor.', 'Molt comestible, gastronòmicament molt preuat, en especial a França. Es pot menjar cru, assecat, cuit i en oli.'),
(11, 1, 'Cua de cavall', 'Amanita rubescens', 0, 'El barret és primer hemisfèric i després convex (fins i tot aplanat). De color marró-rogenc amb textura terrossa, d''uns 5-15 cm. Cobert de verugues o taques farinoses de color rogenc. Les làmines estan juntes i són de color blanquinós. El peu és cilíndric.', 'En boscos de coníferes o de caducifol.lis. Molt comú en tot tipus de terreny.', 'És comestible, però s''ha de coure bé, ja que conté hemolisina que es destrueix als 70º C. Malgrat això, és de la família de les amanites i cal no confondre-la amb altres que són verinoses.'),
(12, 1, 'Cualgra sanguínia', 'Russula sanguinea', 0, 'Primer hemisfèric i després convex-aplanat, lleugerament deprimit. Color malvaci o violaci, segons l''espècie. Pot tenir taques blanquinoses o groguenques. Té el marge estriat i el barret té 5-10 cm de diàmetre quan és adult. Les làmines són lliures.', 'Boscos de coníferes, latifol.lis i llocs amb herva. Estiu-tardor.', 'És tòxica en grans quantitats.'),
(13, 1, 'Fredolic gros', 'Tricholoma portentosum', 1, 'Barret primer hemisfèric, després acampanulat, i finalment convex-aplanat. Llefiscós, de marge enrotllat cap amunt, ondulat. Està cobert de fibres de color gris-violat fosc. El barret és de color bru molt negre i fa uns 7-14 cm. Les làmines són amples.', 'Sobre tot en boscos de coníferes, però també en latifol.lis. Estiu-tardor.', 'És comestible.'),
(14, 1, 'Fredolic', 'Tricholoma terreum', 1, 'Té un barret de 3-6 cm de diàmetre, sovint irregular, amb el centre que sobresurt, de color gris. Sol tenir fibres i esquames negroses, en especial a la part central. Les làmines són d''un blanc brut o grises i estan espaiades. El peu és cilíndric, fibrós.', 'A les pinedes, entre la pinassa. Sol formar grups nombrosos. Tardor i començament de l''hivern.', 'És bon comestible. Es fa servir per guisats i per sopes. Es passa amb facilitat.'),
(15, 1, 'Girgola', 'Pleurotus ostreatus', 1, 'Barret de 5-15(35) cm, molt excèntric i variable, normalment en forma de petxina, amb el marge primer incurvat i després recte, sovint ondulat. La cutícula, que és separable, és llisa i brillant, de color molt variable, beix, gris clar, gris negrós o gris', 'Fong paràsit o sapròfit que viu en soques i branques de pollancres, bàsicament de planifolis morts o debilitats, en boscos de ribera, parcs i jardins. Fructifica a l''estiu i a la tardor, És comú; es troba des del litoral fins als Pirineus.', 'És comestible i molt apreciat. En els darrers anys se n''ha difós molt el consum ja que es cultiva a gran escala. Això permet trobar-ne al mercat durant tot l''any.'),
(16, 1, 'Girgola d''olivera, matadona', 'Omphalotus olearius', 0, 'Barret de 5-12 cm, primer convex, després estès i finalment infundibuliforme, amb el marge primer involut i després incurvat, que finalment es lacera. La cutícula, que és separable, és llisa, seca i setinada, de color groc ataronjat, bru ataronjat.', 'Fong paràsit o saprotròfic que viu en soques i arrels d''oliveres, però també d''altres arbres i arbusts planifolis, com ara alzines, suros, roures, aladerns, estepes, etc. Fructifica a la tardor, generalment formant flotes, però també en forma isolada. És', 'Bolet tòxic, que pot produir forts trastorns gastrointestinals, que es manifesten amb vòmits, vertigen, dolors abdominals, pèrdua del coneixement i distensió muscular.');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `logs`
--

CREATE TABLE IF NOT EXISTS `logs` (
  `log_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `log_date` datetime NOT NULL,
  `log_addr_ip` varchar(15) NOT NULL,
  `log_usr_id` varchar(16) DEFAULT NULL,
  `log_action` int(11) NOT NULL,
  PRIMARY KEY (`log_id`),
  KEY `log_date` (`log_date`),
  KEY `log_addr_ip` (`log_addr_ip`),
  KEY `log_usr_id` (`log_usr_id`),
  KEY `log_action` (`log_action`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `logs`
--

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `mail_queue`
--

CREATE TABLE IF NOT EXISTS `mail_queue` (
  `mail_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `mail_subject` varchar(50) DEFAULT NULL,
  `mail_body` varchar(4096) DEFAULT NULL,
  `mail_alt_body` varchar(4096) DEFAULT NULL,
  `mail_to` varchar(50) DEFAULT NULL,
  `mail_to_name` varchar(150) DEFAULT NULL,
  `mail_date_created` datetime DEFAULT NULL,
  PRIMARY KEY (`mail_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `permissions`
--

CREATE TABLE IF NOT EXISTS `permissions` (
  `per_id` int(11) NOT NULL,
  `per_permission` varchar(50) NOT NULL,
  `per_description` varchar(250) NOT NULL,
  PRIMARY KEY (`per_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `permissions`
--

INSERT INTO `permissions` (`per_id`, `per_permission`, `per_description`) VALUES
(1, 'list_users', 'Permís per mostrar els usuaris.'),
(2, 'new_users', 'Permís per crear usuaris.'),
(3, 'edit_users', 'Permís per modificar usuaris.'),
(4, 'remove_users', 'Permís per eliminar usuaris.'),
(5, 'view_users', 'Permís per veure usuaris.'),
(6, 'list_boletus', 'Permís per mostrar els bolets.'),
(7, 'new_boletus', 'Permís per crear bolets.'),
(8, 'edit_boletus', 'Permís per modificar bolets.'),
(9, 'remove_boletus', 'Permís per eliminar bolets.'),
(10, 'view_boletus', 'Permís per veure bolets.'),
(11, 'list_positions', 'Permís per mostrar les localitzacions.'),
(12, 'new_positions', 'Permís per crear localització.'),
(13, 'edit_positions', 'Permís per modificar localització.'),
(14, 'remove_positions', 'Permís per eliminar localització.'),
(15, 'view_positions', 'Permís per veure localització.'),
(16, 'list_recipes', 'Permís per mostrar les receptes.'),
(17, 'new_recipes', 'Permís per crear recepta.'),
(18, 'edit_recipes', 'Permís per modificar recepta.'),
(19, 'remove_recipes', 'Permís per eliminar recepta.'),
(20, 'view_recipes', 'Permís per veure recepta.'),
(21, 'new_photo', 'Permís crear fotografia.'),
(22, 'edit_photo', 'Permís per modificar fotografia.'),
(23, 'view_photo', 'Permís per veure fotografia.'),
(24, 'remove_photo', 'Permís per eliminar fotografia.'),
(25, 'view_video', 'Permís per veure vídeos.'),
(26, 'search', 'Permís per cercar.'),
(27, 'search_users', 'Permís per cercar usuaris.');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `positions`
--

CREATE TABLE IF NOT EXISTS `positions` (
  `pos_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `pos_usr_id` int(11) NOT NULL,
  `pos_bol_id` int(11) NOT NULL,
  `pos_bol_name` varchar(100) NOT NULL,
  `pos_description` varchar(100) NOT NULL,
  `pos_lat` float(10,6) NOT NULL,
  `pos_lng` float(10,6) NOT NULL,
  PRIMARY KEY (`pos_id`),
  KEY `pos_usr_id` (`pos_usr_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `positions`
--

INSERT INTO `positions` (`pos_usr_id`, `pos_bol_id`, `pos_bol_name`, `pos_description`, `pos_lat`, `pos_lng`) VALUES
(1, 6, 'Cama o Bec de Perdiu', 'Ceps i mes ceps', 42.465675, 1.490777),
(1, 6, 'Cama o Bec de Perdiu', 'Bolets sota el cami ral. Bolets sota el cami ral', 42.465729, 1.490762),
(1, 3, 'Apagallums', '', 42.465729, 1.700762),
(1, 5, 'Bolet de Tinta', '', 42.465729, 1.230762),
(1, 11, 'Cua de cavall', 'Al costat de la llera del riu.', 42.465729, 1.230762),
(1, 15, 'Girgola', '', 42.465729, 1.600752),
(1, 2, 'Anisat', '', 42.465675, 1.490777),
(1, 4, 'Bolet de pi', '', 42.465675, 1.484777);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `recipes`
--

CREATE TABLE IF NOT EXISTS `recipes` (
  `rec_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `rec_usr_id` int(11) NOT NULL,
  `rec_bol_id` int(11) NOT NULL,
  `rec_date` datetime NOT NULL,
  `rec_name` varchar(100) NOT NULL,
  `rec_ingredient` varchar(4096) NOT NULL,
  `rec_description` varchar(4096) NOT NULL,
  PRIMARY KEY (`rec_id`),
  KEY `rec_name` (`rec_name`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `recipes`
--

INSERT INTO `recipes` (`rec_id`, `rec_usr_id`, `rec_bol_id`, `rec_date`, `rec_name`, `rec_ingredient`, `rec_description`) VALUES
(1, 1, 10, '2013-12-08 00:00:00', 'Raviolis de carbassó farcits de barreja de bolets amb formatge de cabra', '1 carbassó (4 tires per persona); Ceps; Ceba tendra; Cebollí; Nata; Brou de gallina; Sal; Pebre; Mantega; Oli; Formatge de cabra', 'Escalfem oli amb una gota de mantega, mentre preparem la ceba i el carbassó. Tallem la ceba a trossos petits. Posem la ceba al foc i tallem unes quantes tires de carbassó al llarg. En una altra paella (perquè no tenim la planxa encesa) hi posem el carbassó amb una mica d''oli. Netegem els bolets a raig d''aixeta, els tallem, els barregem a la paella amb la ceba ja mig feta i ho saltem tot junt. Ho flamegem amb conyac i hi afegim una mica de nata. Ja podem muntar el plat, embolicant una cullerada dels bolets saltats (amb una mica de formatge de cabra) amb una tira de carbassó, fent un farcellet... I amb el que sobra de bolets i una mica de brou fem un fons de salsa per al plat, que finalment passarem pel túrmix. Abans d''emplatar-ho, posem un moment els raviolis al forn perquè es gratinin i es desfaci el formatge. Ho emplatem.'),
(2, 1, 14, '2013-12-08 00:00:00', 'Tàrtar de bolets acompanyat de mesclum amb vinagreta de tòfona i sardines de mitja sal', 'Bolets variats: carlets, rovellons, fredolics i bolets de card; Ceba; Tàperes; Melmelada de tomàquet; Anxova; Rovell d''ou; Pols de cep; Sal; Oli; Mesclum; Vinagreta de tòfona; Sardines de mitja sal', 'Per fer el tàrtar de bolets acompanyat de mesclum amb vinagreta de tòfona i sardines de mitja sal, primer posem en un bol l''anxova trinxada, el rovell de l''ou, la ceba tallada ben petita i les tàperes trossejades. Ho remenem fins a aconseguir que quedi una pasta ben lligada. Llavors agafem els bolets crus, netejats prèviament, i els tallem a trossos molt petits. Els afegim al bol, hi posem sal i pebre, una mica d''oli, la melmelada de tomàquet, un pessic de pols de cep i ja ho podem barrejar tot com si féssim un tàrtar de carn. Un cop quedi ben lligat, ho deixem reposar perquè es vagi macerant. Mentrestant fregim les sardines de mitja sal. Agafem les sardines, netes i sense espina, les enfarinem, les passem per l''ou i les posem a la paella amb l''oli ben calent. Un cop fregides les traiem del foc i les reservem. Tot seguit amanim el mesclum amb una vinagreta de tòfona i ja ho podem emplatar. Primer posem un motllo al mig del plat, al seu voltant hi disposem el mesclum, i a sobre, les sardines fregides. I ara ja només queda fer el tàrtar. Remenem una mica més la barreja que hem fet perquè quedi ben lligada. S''ha de tenir en compte un truc: com que els bolets tenen molta aigua, si la pasta del tàrtar és massa líquida, es pot passar per un colador perquè torni a quedar espessa. Un cop fet això, col·loquem la barreja dins el motllo deixant-lo ben atapeït, retirem l''anella i ja ho tenim a punt.'),
(3, 1, 10, '2013-12-08 19:13:14', 'Pappardelle amb carxofes, bolets, i tòfona', 'Per fer la pasta: 12 rovells d''ou; 150 g de farina; oli d''oliva; sal; ceps; llenegues i camagrocs; carxofes; papada de porc tallada a daus ben petits; tòfona; brou; mantega', 'Per fer la pasta posem al robot la farina, la sal i l''oli d''oliva. Un cop en marxa, hi afegim els rovells fins que veiem que la massa queda ben lligada. Un cop feta, ja podem estirar-la amb la màquina de fer pasta posant-hi una mica de farina perquè no se''ns enganxi. Anem passant la massa per la màquina fins que aconseguim el gruix que desitgem per fer la pappardelle (aquesta pasta l''hem de fer quan la vulguem fer servir. Si la deixéssim reposar es podria oxidar i fer malbé). Un cop estirada la massa, la tallem per donar-li la forma de la pappardelle, en tires amples. Netegem els bolets amb un paper humit, sense passar-los per aigua. Pelem les carxofes, intentant conservar el peu, fins a quedar-nos només amb el cor. Escaldem la pappardelle en aigua bullint uns minuts. Mentrestant, fem les carxofes. La tallem a quarts i la saltem en una paella amb oli. Passats uns 3 minuts, quan estiguin daurades, hi afegim els ceps i la llenega, tallats a trossos, i els camagrocs. Hi posem la papada, ho salpebrem i hi afegim la pasta de tòfona i ho remenem tot un parell de minuts. Hi afegim el brou i una mica de mantega perquè quedi lligat. Un cop fet, ja podem muntar el plat. Posem una mica d''oli d''oliva al plat perquè no se''ns enganxi la pappardelle que posem estirada a tires. A sobre, els trossos de carxofes separats i acompanyats cadascun per un tipus de bolet. Posem els talls de papada i per últim, la salsa per sobre la pappardelle perquè agafi el gust de la tòfona. Acabem amb un toc de sal i unes flors per decorar-lo.');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `roles`
--

CREATE TABLE IF NOT EXISTS `roles` (
  `rol_role_id` int(11) NOT NULL,
  `rol_role_name` varchar(50) NOT NULL,
  PRIMARY KEY (`rol_role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `roles`
--

INSERT INTO `roles` (`rol_role_id`, `rol_role_name`) VALUES
(0, 'Usuari estàndard'),
(1, 'Administrador/a');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `roles_permissions`
--

CREATE TABLE IF NOT EXISTS `roles_permissions` (
  `rpe_role_id` int(11) NOT NULL,
  `rpe_permission_id` int(11) NOT NULL,
  `rpe_value` int(11) NOT NULL,
  KEY `rpe_role_id` (`rpe_role_id`),
  KEY `rpe_permission_id` (`rpe_permission_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `roles_permissions`
--

INSERT INTO `roles_permissions` (`rpe_role_id`, `rpe_permission_id`, `rpe_value`) VALUES
(1, 1, 1),
(1, 2, 1),
(1, 3, 1),
(1, 4, 1),
(1, 5, 1),
(1, 6, 1),
(1, 7, 1),
(1, 8, 1),
(1, 9, 1),
(1, 10, 1),
(1, 11, 1),
(1, 12, 1),
(1, 13, 1),
(1, 14, 1),
(1, 15, 1),
(1, 16, 1),
(1, 17, 1),
(1, 18, 1),
(1, 19, 1),
(1, 20, 1),
(1, 21, 1),
(1, 22, 1),
(1, 23, 1),
(1, 24, 1),
(1, 25, 1),
(1, 26, 1),
(1, 27, 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `support`
--

CREATE TABLE IF NOT EXISTS `support` (
  `sup_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `sup_type` varchar(50) NOT NULL,
  `sup_description` varchar(250) NOT NULL,
  PRIMARY KEY (`sup_id`),
  KEY `sup_type` (`sup_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `system`
--

CREATE TABLE IF NOT EXISTS `system` (
  `sys_type` varchar(50) NOT NULL,
  `sys_description` varchar(250) NOT NULL,
  `sys_value` varchar(50) NOT NULL,
  KEY `sys_type` (`sys_type`),
  KEY `sys_value` (`sys_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `system`
--

INSERT INTO `system` (`sys_type`, `sys_description`, `sys_value`) VALUES
('module', 'Usuaris', 'users'),
('module', 'Bolets', 'boletus'),
('module', 'Localitzacions', 'positions'),
('module', 'Receptes', 'recipes'),
('gender', 'Home', 'H'),
('gender', 'Dona', 'D'),
('country', 'Andorra', 'AD'),
('country', 'Unió dels Emirats Àrabs', 'AE'),
('country', 'Afganistan', 'AF'),
('country', 'Antigua i Barbuda', 'AG'),
('country', 'Anguilla', 'AI'),
('country', 'Albània', 'AL'),
('country', 'Armènia', 'AM'),
('country', 'Antilles Holandeses', 'AN'),
('country', 'Angola', 'AO'),
('country', 'Antàrtida', 'AQ'),
('country', 'Argentina', 'AR'),
('country', 'Samoa Americana', 'AS'),
('country', 'Àustria', 'AT'),
('country', 'Austràlia', 'AU'),
('country', 'Aruba', 'AW'),
('country', 'Illes Aland', 'AX'),
('country', 'Azerbaitjan', 'AZ'),
('country', 'Bòsnia i Hercegovina', 'BA'),
('country', 'Barbados', 'BB'),
('country', 'Bangla Desh', 'BD'),
('country', 'Bèlgica', 'BE'),
('country', 'Burkina Faso', 'BF'),
('country', 'Bulgària', 'BG'),
('country', 'Bahrain', 'BH'),
('country', 'Burundi', 'BI'),
('country', 'Benín', 'BJ'),
('country', 'Saint-Barthélemy', 'BL'),
('country', 'Bermuda', 'BM'),
('country', 'Brunei', 'BN'),
('country', 'Bolívia', 'BO'),
('country', 'Brasil', 'BR'),
('country', 'Bahames', 'BS'),
('country', 'Bhutan', 'BT'),
('country', 'Illa Bouvet', 'BV'),
('country', 'Botswana', 'BW'),
('country', 'Bielorússia', 'BY'),
('country', 'Belize', 'BZ'),
('country', 'Canadà', 'CA'),
('country', 'Illes Cocos (Keeling)', 'CC'),
('country', 'Congo, República Democràtica del', 'CD'),
('country', 'República Centreafricana', 'CF'),
('country', 'Congo', 'CG'),
('country', 'Suïssa', 'CH'),
('country', 'Costa d''Ivori', 'CI'),
('country', 'Illes Cook', 'CK'),
('country', 'Xile', 'CL'),
('country', 'Camerun', 'CM'),
('country', 'Xina', 'CN'),
('country', 'Colòmbia', 'CO'),
('country', 'Costa Rica', 'CR'),
('country', 'Cuba', 'CU'),
('country', 'Cap Verd', 'CV'),
('country', 'Illa Christmas', 'CX'),
('country', 'Xipre', 'CY'),
('country', 'República Txeca', 'CZ'),
('country', 'Alemanya', 'DE'),
('country', 'Djibouti', 'DJ'),
('country', 'Dinamarca', 'DK'),
('country', 'Dominica', 'DM'),
('country', 'República Dominicana', 'DO'),
('country', 'Algèria', 'DZ'),
('country', 'Equador', 'EC'),
('country', 'Estònia', 'EE'),
('country', 'Egipte', 'EG'),
('country', 'Sàhara Occidental', 'EH'),
('country', 'Eritrea', 'ER'),
('country', 'Espanya', 'ES'),
('country', 'Etiòpia', 'ET'),
('country', 'Finlàndia', 'FI'),
('country', 'Fiji', 'FJ'),
('country', 'Illes Malvines (Falkland)', 'FK'),
('country', 'Micronèsia, Estats Federats de', 'FM'),
('country', 'Illes Fèroe', 'FO'),
('country', 'França', 'FR'),
('country', 'Gabon', 'GA'),
('country', 'Regne Unit', 'GB'),
('country', 'Grenada', 'GD'),
('country', 'Geòrgia', 'GE'),
('country', 'Guaiana Francesa', 'GF'),
('country', 'Guernsey', 'GG'),
('country', 'Ghana', 'GH'),
('country', 'Gibraltar', 'GI'),
('country', 'Groenlàndia', 'GL'),
('country', 'Gàmbia', 'GM'),
('country', 'Guinea', 'GN'),
('country', 'Guadalupe', 'GP'),
('country', 'Guinea Equatorial', 'GQ'),
('country', 'Grècia', 'GR'),
('country', 'Illes Geòrgia del Sud i Sandwich del Sud', 'GS'),
('country', 'Guatemala', 'GT'),
('country', 'Guam', 'GU'),
('country', 'Guinea Bissau', 'GW'),
('country', 'Guyana', 'GY'),
('country', 'Hong Kong', 'HK'),
('country', 'Illa Heard i Illes Mc Donald', 'HM'),
('country', 'Hondures', 'HN'),
('country', 'Croàcia', 'HR'),
('country', 'Haití', 'HT'),
('country', 'Hongria', 'HU'),
('country', 'Indonèsia', 'ID'),
('country', 'Irlanda', 'IE'),
('country', 'Israel', 'IL'),
('country', 'Illa de Man', 'IM'),
('country', 'Índia', 'IN'),
('country', 'Territori Britànic de l''Oceà Índic', 'IO'),
('country', 'Iraq', 'IQ'),
('country', 'Iran', 'IR'),
('country', 'Islàndia', 'IS'),
('country', 'Itàlia', 'IT'),
('country', 'Jersey', 'JE'),
('country', 'Jamaica', 'JM'),
('country', 'Jordània', 'JO'),
('country', 'Japó', 'JP'),
('country', 'Kenya', 'KE'),
('country', 'Kirguizistan', 'KG'),
('country', 'Cambodja', 'KH'),
('country', 'Kiribati', 'KI'),
('country', 'Comores', 'KM'),
('country', 'Saint Christopher i Nevis', 'KN'),
('country', 'Corea, República Democràtica Popular de', 'KP'),
('country', 'Corea, República de', 'KR'),
('country', 'Kuwait', 'KW'),
('country', 'Illes Caiman', 'KY'),
('country', 'Laos', 'LA'),
('country', 'Líban', 'LB'),
('country', 'Saint Lucia', 'LC'),
('country', 'Liechtenstein', 'LI'),
('country', 'Sri Lanka', 'LK'),
('country', 'Libèria', 'LR'),
('country', 'Lesotho', 'LS'),
('country', 'Lituània', 'LT'),
('country', 'Luxemburg', 'LU'),
('country', 'Letònia', 'LV'),
('country', 'Líbia', 'LY'),
('country', 'Marroc', 'MA'),
('country', 'Mònaco', 'MC'),
('country', 'Moldàvia', 'MD'),
('country', 'Montenegro', 'ME'),
('country', 'Saint-Martin', 'MF'),
('country', 'Madagascar', 'MG'),
('country', 'Illes Marshall', 'MH'),
('country', 'Macedònia', 'MK'),
('country', 'Mali', 'ML'),
('country', 'Myanmar', 'MM'),
('country', 'Mongòlia', 'MN'),
('country', 'Macau', 'MO'),
('country', 'Illes Marianes del Nord', 'MP'),
('country', 'Martinica', 'MQ'),
('country', 'Mauritània', 'MR'),
('country', 'Montserrat', 'MS'),
('country', 'Malta', 'MT'),
('country', 'Maurici', 'MU'),
('country', 'Maldives', 'MV'),
('country', 'Malawi', 'MW'),
('country', 'Mèxic', 'MX'),
('country', 'Malàisia', 'MY'),
('country', 'Moçambic', 'MZ'),
('country', 'Namíbia', 'NA'),
('country', 'Nova Caledònia', 'NC'),
('country', 'Níger', 'NE'),
('country', 'Illa Norfolk', 'NF'),
('country', 'Nigèria', 'NG'),
('country', 'Nicaragua', 'NI'),
('country', 'Països Baixos', 'NL'),
('country', 'Noruega', 'NO'),
('country', 'Nepal', 'NP'),
('country', 'Nauru', 'NR'),
('country', 'Niue', 'NU'),
('country', 'Nova Zelanda', 'NZ'),
('country', 'Oman', 'OM'),
('country', 'Panamà', 'PA'),
('country', 'Perú', 'PE'),
('country', 'Polinèsia Francesa', 'PF'),
('country', 'Papua Nova Guinea', 'PG'),
('country', 'Filipines', 'PH'),
('country', 'Pakistan', 'PK'),
('country', 'Polònia', 'PL'),
('country', 'Saint Pierre i Miquelon', 'PM'),
('country', 'Pitcairn', 'PN'),
('country', 'Puerto Rico', 'PR'),
('country', 'Palestina', 'PS'),
('country', 'Portugal', 'PT'),
('country', 'Palau', 'PW'),
('country', 'Paraguai', 'PY'),
('country', 'Qatar', 'QA'),
('country', 'Reunion', 'RE'),
('country', 'Romania', 'RO'),
('country', 'Sèrbia', 'RS'),
('country', 'Rússia', 'RU'),
('country', 'Rwanda', 'RW'),
('country', 'Aràbia Saudita', 'SA'),
('country', 'Salomó', 'SB'),
('country', 'Seychelles', 'SC'),
('country', 'Sudan', 'SD'),
('country', 'Suècia', 'SE'),
('country', 'Singapur', 'SG'),
('country', 'Saint Helena', 'SH'),
('country', 'Eslovènia', 'SI'),
('country', 'Svalbard i Jan Mayen', 'SJ'),
('country', 'Eslovàquia', 'SK'),
('country', 'Sierra Leone', 'SL'),
('country', 'San Marino', 'SM'),
('country', 'Senegal', 'SN'),
('country', 'Somàlia', 'SO'),
('country', 'Surinam', 'SR'),
('country', 'Sâo Tome i Príncipe', 'ST'),
('country', 'El Salvador', 'SV'),
('country', 'Síria', 'SY'),
('country', 'Swazilàndia', 'SZ'),
('country', 'Illes Turks i Caicos', 'TC'),
('country', 'Txad', 'TD'),
('country', 'Territoris Francesos del Sud', 'TF'),
('country', 'Togo', 'TG'),
('country', 'Tailàndia', 'TH'),
('country', 'Tadjikistan', 'TJ'),
('country', 'Tokelau', 'TK'),
('country', 'Timor Oriental', 'TL'),
('country', 'Turkmenistan', 'TM'),
('country', 'Tunísia', 'TN'),
('country', 'Tonga', 'TO'),
('country', 'Turquia', 'TR'),
('country', 'Trinitat i Tobago', 'TT'),
('country', 'Tuvalu', 'TV'),
('country', 'Taiwan', 'TW'),
('country', 'Tanzània', 'TZ'),
('country', 'Ucraïna', 'UA'),
('country', 'Uganda', 'UG'),
('country', 'Illes Perifèriques Menors dels EUA', 'UM'),
('country', 'Estats Units (EUA)', 'US'),
('country', 'Uruguai', 'UY'),
('country', 'Uzbekistan', 'UZ'),
('country', 'Vaticà', 'VA'),
('country', 'Saint Vincent i les Grenadines', 'VC'),
('country', 'Veneçuela', 'VE'),
('country', 'Illes Verge Britàniques', 'VG'),
('country', 'Illes Verge Americanes', 'VI'),
('country', 'Vietnam', 'VN'),
('country', 'Vanuatu', 'VU'),
('country', 'Wallis i Futuna', 'WF'),
('country', 'Samoa', 'WS'),
('country', 'Iemen', 'YE'),
('country', 'Mayotte', 'YT'),
('country', 'Sud-àfrica, República de', 'ZA'),
('country', 'Zàmbia', 'ZM'),
('country', 'Zimbabwe', 'ZW'),
('country', 'Sèrbia i Montenegro', 'CS'),
('country', 'França Metropolitana', 'FX'),
('country', 'Kosova', 'KO'),
('country', 'Timor Oriental', 'TP'),
('country', 'Gal·les', 'WA'),
('country', 'Zaire', 'ZR'),
('country', 'Altres', 'ZZ');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tokens`
--

CREATE TABLE IF NOT EXISTS `tokens` (
  `tok_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `tok_usr_id` int(11) NOT NULL,
  `tok_num` varchar(32) NOT NULL,
  `tok_date_created` datetime NOT NULL,
  PRIMARY KEY (`tok_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `usr_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `usr_user` varchar(50) NOT NULL,
  `usr_password` varchar(50) NOT NULL,
  `usr_name` varchar(50) NOT NULL,
  `usr_first_last_name` varchar(50) NOT NULL,
  `usr_second_last_name` varchar(50) NOT NULL,
  `usr_gender` varchar(1) DEFAULT NULL,
  `usr_country` varchar(50) NOT NULL DEFAULT '-1',
  `usr_phone` varchar(50) DEFAULT NULL,
  `usr_email` varchar(50) NOT NULL,
  `usr_date_created` datetime NOT NULL,
  `usr_role` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`usr_id`),
  KEY `usr_name` (`usr_name`),
  KEY `usr_first_last_name` (`usr_first_last_name`),
  KEY `usr_second_last_name` (`usr_second_last_name`),
  KEY `full_name` (`usr_first_last_name`,`usr_second_last_name`,`usr_name`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `users`
--

INSERT INTO `users` (`usr_id`, `usr_user`, `usr_password`, `usr_name`, `usr_first_last_name`, `usr_second_last_name`, `usr_gender`, `usr_country`, `usr_phone`, `usr_email`, `usr_date_created`, `usr_role`) VALUES
(1, 'admin', 'd033e22ae348aeb5660fc2140aec35850c4da886', 'Administrador', 'Local', 'Local', 'H', '-1', '', 'admin@uoc.edu', '2013-11-01 20:00:00', 1);

